const { h, Component } = require('ink');
const NameInput = require('./nameinput');
const MailInput = require('./mailinput');
const ResultBox = require('./resultbox');

class Form extends Component {
	inputComponent() {
		switch (this.props.step) {
			case 0:
				return h(NameInput, this.props);
			case 1:
				return h(MailInput, this.props);
			case 2:
				return h(ResultBox, null);
			default:
				return h(NameInput, null);
		}
	}

	render() {
		return h(
			'span',
			null,
			this.inputComponent()
		);
	}
}

module.exports = Form;