const { h, Component, Color } = require('ink');
const Input = require('./input');

let description = 'Enter your git user email:';

class MailInput extends Component {
	render() {
		const { email, inputMail, submitMail } = this.props;
		return h(
			'div',
			null,
			h(
				Color,
				{ green: true },
				'Let\'s set your git-local-user config',
				h('br', null)
			),
			h(
				Color,
				null,
				description
			),
			h(Input, {
				value: email,
				onChange: inputMail,
				onSubmit: submitMail })
		);
	}
}

module.exports = MailInput;