const { h, Component, Color } = require('ink');
const Input = require('./input');

let description = 'Enter your git user name:';
class NameInput extends Component {
	render() {
		const { name, inputName, submitName } = this.props;
		return h(
			'div',
			null,
			h(
				Color,
				{ green: true },
				'Let\'s set your git-local-user config',
				h('br', null)
			),
			h(
				Color,
				null,
				description
			),
			h(Input, {
				value: name,
				onChange: inputName,
				onSubmit: submitName })
		);
	}
}

module.exports = NameInput;