const { h, render, Component, Color } = require('ink');

function inputFactory(InputComponent, description) {
	return class extends Component {
		constructor(props) {
			super(props);
		}
		render() {
			return h(
				'div',
				null,
				h(
					Color,
					null,
					description
				),
				h(InputComponent, this.props)
			);
		}
	};
}

module.exports = inputFactory;